configure: Force-enable select_any dependencies only on --enable
authorLuca Barbato <lu_zero@gentoo.org>
Thu, 21 Jan 2016 19:37:49 +0000 (20:37 +0100)
committerLuca Barbato <lu_zero@gentoo.org>
Thu, 21 Jan 2016 20:24:33 +0000 (21:24 +0100)
Unbreak --enable-gnutls enabling tls_openssl_protocol

Signed-off-by: Luca Barbato <lu_zero@gentoo.org>
configure

index 96ef9a4..1bfd3e9 100755 (executable)
--- a/configure
+++ b/configure
@@ -521,7 +521,7 @@ disable_safe(){
 do_enable_deep(){
     for var; do
         enabled $var && continue
-        eval sel="\$${var}_select\ \$${var}_select_any"
+        eval sel="\$${var}_select"
         eval sgs="\$${var}_suggest"
         pushvar var sgs
         enable_deep $sel
@@ -546,11 +546,26 @@ enable_deep_weak(){
     done
 }
 
+do_enable_deep_force(){
+    for var; do
+        enabled $var && continue
+        eval sel="\$${var}_select\ \$${var}_suggest\ \$${var}_select_any"
+        pushvar var
+        enable_deep_force $sel
+        popvar var
+    done
+}
+
+enable_deep_force(){
+    do_enable_deep_force $*
+    enable $*
+}
+
 request(){
     for var; do
         enable ${var}_requested
     done
-    enable_deep $*
+    enable_deep_force $*
 }
 
 enabled(){